from ..common.values import tpm_dataclass
from ..structures.constants import TPM_CC
from ..structures.handles import TPM_HANDLE
from ..structures.interface_types import (
    TPMI_DH_CONTEXT,
    TPMI_DH_OBJECT,
    TPMI_SH_AUTH_SESSION,
)


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_UNDEFINE_SPACE_SPECIAL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_EVICT_CONTROL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_HIERARCHY_CONTROL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_UNDEFINE_SPACE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CHANGE_EPS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CHANGE_PPS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CLEAR:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CLEAR_CONTROL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CLOCK_SET:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_HIERARCHY_CHANGE_AUTH:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_DEFINE_SPACE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PCR_ALLOCATE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PCR_SET_AUTH_POLICY:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PP_COMMANDS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SET_PRIMARY_POLICY:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_FIELD_UPGRADE_START:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CLOCK_RATE_ADJUST:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CREATE_PRIMARY:
    objectHandle: TPM_HANDLE


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_GLOBAL_WRITE_LOCK:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_GET_COMMAND_AUDIT_DIGEST:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_INCREMENT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_SET_BITS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_EXTEND:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_WRITE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_WRITE_LOCK:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_DICTIONARY_ATTACK_LOCK_RESET:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_DICTIONARY_ATTACK_PARAMETERS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_CHANGE_AUTH:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PCR_EVENT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PCR_RESET:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SEQUENCE_COMPLETE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SET_ALGORITHM_SET:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SET_COMMAND_CODE_AUDIT_STATUS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_FIELD_UPGRADE_DATA:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_INCREMENTAL_SELF_TEST:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SELF_TEST:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_STARTUP:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SHUTDOWN:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_STIR_RANDOM:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_ACTIVATE_CREDENTIAL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CERTIFY:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_NV:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CERTIFY_CREATION:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_DUPLICATE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_GET_TIME:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_GET_SESSION_AUDIT_DIGEST:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_READ:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_READ_LOCK:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_OBJECT_CHANGE_AUTH:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_SECRET:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_REWRAP:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CREATE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_ECDH_Z_GEN:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_HMAC:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_IMPORT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_LOAD:
    objectHandle: TPM_HANDLE


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_QUOTE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_RSA_DECRYPT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_HMAC_START:
    sequenceHandle: TPMI_DH_OBJECT


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SEQUENCE_UPDATE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_SIGN:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_UNSEAL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_SIGNED:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CONTEXT_LOAD:
    loadedHandle: TPMI_DH_CONTEXT


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CONTEXT_SAVE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_ECDH_KEY_GEN:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_ENCRYPT_DECRYPT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_FLUSH_CONTEXT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_LOAD_EXTERNAL:
    objectHandle: TPM_HANDLE


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_MAKE_CREDENTIAL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_READ_PUBLIC:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_AUTHORIZE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_AUTH_VALUE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_COMMAND_CODE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_COUNTER_TIMER:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_CP_HASH:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_LOCALITY:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_NAME_HASH:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_OR:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_TICKET:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_READ_PUBLIC:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_RSA_ENCRYPT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_START_AUTH_SESSION:
    sessionHandle: TPMI_SH_AUTH_SESSION


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_VERIFY_SIGNATURE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_ECC_PARAMETERS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_PARAMS_FIRMWARE_READ:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_GET_CAPABILITY:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_GET_RANDOM:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_GET_TEST_RESULT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_HASH:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PCR_READ:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_PCR:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_RESTART:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_READ_CLOCK:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PCR_EXTEND:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_PCR_SET_AUTH_VALUE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_NV_CERTIFY:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_EVENT_SEQUENCE_COMPLETE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_HASH_SEQUENCE_START:
    sequenceHandle: TPMI_DH_OBJECT


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_PHYSICAL_PRESENCE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_DUPLICATION_SELECT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_GET_DIGEST:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_TEST_PARMS:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_COMMIT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_PASSWORD:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_Z_GEN_2_PHASE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_EC_EPHEMERAL:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_NV_WRITTEN:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_TEMPLATE:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CREATE_LOADED:
    objectHandle: TPM_HANDLE


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_AUTHORIZE_NV:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_ENCRYPT_DECRYPT2:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_AC_GET_CAPABILITY:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_AC_SEND:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_POLICY_AC_SEND_SELECT:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_CERTIFY_X509:
    pass


@tpm_dataclass
class TPMS_RESPONSE_HANDLES_ACT_SET_TIMEOUT:
    pass


response_handle_types = {
    TPM_CC.NV_UndefineSpaceSpecial: TPMS_RESPONSE_HANDLES_NV_UNDEFINE_SPACE_SPECIAL,
    TPM_CC.EvictControl: TPMS_RESPONSE_HANDLES_EVICT_CONTROL,
    TPM_CC.HierarchyControl: TPMS_RESPONSE_HANDLES_HIERARCHY_CONTROL,
    TPM_CC.NV_UndefineSpace: TPMS_RESPONSE_HANDLES_NV_UNDEFINE_SPACE,
    TPM_CC.ChangeEPS: TPMS_RESPONSE_HANDLES_CHANGE_EPS,
    TPM_CC.ChangePPS: TPMS_RESPONSE_HANDLES_CHANGE_PPS,
    TPM_CC.Clear: TPMS_RESPONSE_HANDLES_CLEAR,
    TPM_CC.ClearControl: TPMS_RESPONSE_HANDLES_CLEAR_CONTROL,
    TPM_CC.ClockSet: TPMS_RESPONSE_HANDLES_CLOCK_SET,
    TPM_CC.HierarchyChangeAuth: TPMS_RESPONSE_HANDLES_HIERARCHY_CHANGE_AUTH,
    TPM_CC.NV_DefineSpace: TPMS_RESPONSE_HANDLES_NV_DEFINE_SPACE,
    TPM_CC.PCR_Allocate: TPMS_RESPONSE_HANDLES_PCR_ALLOCATE,
    TPM_CC.PCR_SetAuthPolicy: TPMS_RESPONSE_HANDLES_PCR_SET_AUTH_POLICY,
    TPM_CC.PP_Commands: TPMS_RESPONSE_HANDLES_PP_COMMANDS,
    TPM_CC.SetPrimaryPolicy: TPMS_RESPONSE_HANDLES_SET_PRIMARY_POLICY,
    TPM_CC.FieldUpgradeStart: TPMS_RESPONSE_HANDLES_FIELD_UPGRADE_START,
    TPM_CC.ClockRateAdjust: TPMS_RESPONSE_HANDLES_CLOCK_RATE_ADJUST,
    TPM_CC.CreatePrimary: TPMS_RESPONSE_HANDLES_CREATE_PRIMARY,
    TPM_CC.NV_GlobalWriteLock: TPMS_RESPONSE_HANDLES_NV_GLOBAL_WRITE_LOCK,
    TPM_CC.GetCommandAuditDigest: TPMS_RESPONSE_HANDLES_GET_COMMAND_AUDIT_DIGEST,
    TPM_CC.NV_Increment: TPMS_RESPONSE_HANDLES_NV_INCREMENT,
    TPM_CC.NV_SetBits: TPMS_RESPONSE_HANDLES_NV_SET_BITS,
    TPM_CC.NV_Extend: TPMS_RESPONSE_HANDLES_NV_EXTEND,
    TPM_CC.NV_Write: TPMS_RESPONSE_HANDLES_NV_WRITE,
    TPM_CC.NV_WriteLock: TPMS_RESPONSE_HANDLES_NV_WRITE_LOCK,
    TPM_CC.DictionaryAttackLockReset: TPMS_RESPONSE_HANDLES_DICTIONARY_ATTACK_LOCK_RESET,
    TPM_CC.DictionaryAttackParameters: TPMS_RESPONSE_HANDLES_DICTIONARY_ATTACK_PARAMETERS,
    TPM_CC.NV_ChangeAuth: TPMS_RESPONSE_HANDLES_NV_CHANGE_AUTH,
    TPM_CC.PCR_Event: TPMS_RESPONSE_HANDLES_PCR_EVENT,
    TPM_CC.PCR_Reset: TPMS_RESPONSE_HANDLES_PCR_RESET,
    TPM_CC.SequenceComplete: TPMS_RESPONSE_HANDLES_SEQUENCE_COMPLETE,
    TPM_CC.SetAlgorithmSet: TPMS_RESPONSE_HANDLES_SET_ALGORITHM_SET,
    TPM_CC.SetCommandCodeAuditStatus: TPMS_RESPONSE_HANDLES_SET_COMMAND_CODE_AUDIT_STATUS,
    TPM_CC.FieldUpgradeData: TPMS_RESPONSE_HANDLES_FIELD_UPGRADE_DATA,
    TPM_CC.IncrementalSelfTest: TPMS_RESPONSE_HANDLES_INCREMENTAL_SELF_TEST,
    TPM_CC.SelfTest: TPMS_RESPONSE_HANDLES_SELF_TEST,
    TPM_CC.Startup: TPMS_RESPONSE_HANDLES_STARTUP,
    TPM_CC.Shutdown: TPMS_RESPONSE_HANDLES_SHUTDOWN,
    TPM_CC.StirRandom: TPMS_RESPONSE_HANDLES_STIR_RANDOM,
    TPM_CC.ActivateCredential: TPMS_RESPONSE_HANDLES_ACTIVATE_CREDENTIAL,
    TPM_CC.Certify: TPMS_RESPONSE_HANDLES_CERTIFY,
    TPM_CC.PolicyNV: TPMS_RESPONSE_HANDLES_POLICY_NV,
    TPM_CC.CertifyCreation: TPMS_RESPONSE_HANDLES_CERTIFY_CREATION,
    TPM_CC.Duplicate: TPMS_RESPONSE_HANDLES_DUPLICATE,
    TPM_CC.GetTime: TPMS_RESPONSE_HANDLES_GET_TIME,
    TPM_CC.GetSessionAuditDigest: TPMS_RESPONSE_HANDLES_GET_SESSION_AUDIT_DIGEST,
    TPM_CC.NV_Read: TPMS_RESPONSE_HANDLES_NV_READ,
    TPM_CC.NV_ReadLock: TPMS_RESPONSE_HANDLES_NV_READ_LOCK,
    TPM_CC.ObjectChangeAuth: TPMS_RESPONSE_HANDLES_OBJECT_CHANGE_AUTH,
    TPM_CC.PolicySecret: TPMS_RESPONSE_HANDLES_POLICY_SECRET,
    TPM_CC.Rewrap: TPMS_RESPONSE_HANDLES_REWRAP,
    TPM_CC.Create: TPMS_RESPONSE_HANDLES_CREATE,
    TPM_CC.ECDH_ZGen: TPMS_RESPONSE_HANDLES_ECDH_Z_GEN,
    TPM_CC.HMAC: TPMS_RESPONSE_HANDLES_HMAC,
    TPM_CC.Import: TPMS_RESPONSE_HANDLES_IMPORT,
    TPM_CC.Load: TPMS_RESPONSE_HANDLES_LOAD,
    TPM_CC.Quote: TPMS_RESPONSE_HANDLES_QUOTE,
    TPM_CC.RSA_Decrypt: TPMS_RESPONSE_HANDLES_RSA_DECRYPT,
    TPM_CC.HMAC_Start: TPMS_RESPONSE_HANDLES_HMAC_START,
    TPM_CC.SequenceUpdate: TPMS_RESPONSE_HANDLES_SEQUENCE_UPDATE,
    TPM_CC.Sign: TPMS_RESPONSE_HANDLES_SIGN,
    TPM_CC.Unseal: TPMS_RESPONSE_HANDLES_UNSEAL,
    TPM_CC.PolicySigned: TPMS_RESPONSE_HANDLES_POLICY_SIGNED,
    TPM_CC.ContextLoad: TPMS_RESPONSE_HANDLES_CONTEXT_LOAD,
    TPM_CC.ContextSave: TPMS_RESPONSE_HANDLES_CONTEXT_SAVE,
    TPM_CC.ECDH_KeyGen: TPMS_RESPONSE_HANDLES_ECDH_KEY_GEN,
    TPM_CC.EncryptDecrypt: TPMS_RESPONSE_HANDLES_ENCRYPT_DECRYPT,
    TPM_CC.FlushContext: TPMS_RESPONSE_HANDLES_FLUSH_CONTEXT,
    TPM_CC.LoadExternal: TPMS_RESPONSE_HANDLES_LOAD_EXTERNAL,
    TPM_CC.MakeCredential: TPMS_RESPONSE_HANDLES_MAKE_CREDENTIAL,
    TPM_CC.NV_ReadPublic: TPMS_RESPONSE_HANDLES_NV_READ_PUBLIC,
    TPM_CC.PolicyAuthorize: TPMS_RESPONSE_HANDLES_POLICY_AUTHORIZE,
    TPM_CC.PolicyAuthValue: TPMS_RESPONSE_HANDLES_POLICY_AUTH_VALUE,
    TPM_CC.PolicyCommandCode: TPMS_RESPONSE_HANDLES_POLICY_COMMAND_CODE,
    TPM_CC.PolicyCounterTimer: TPMS_RESPONSE_HANDLES_POLICY_COUNTER_TIMER,
    TPM_CC.PolicyCpHash: TPMS_RESPONSE_HANDLES_POLICY_CP_HASH,
    TPM_CC.PolicyLocality: TPMS_RESPONSE_HANDLES_POLICY_LOCALITY,
    TPM_CC.PolicyNameHash: TPMS_RESPONSE_HANDLES_POLICY_NAME_HASH,
    TPM_CC.PolicyOR: TPMS_RESPONSE_HANDLES_POLICY_OR,
    TPM_CC.PolicyTicket: TPMS_RESPONSE_HANDLES_POLICY_TICKET,
    TPM_CC.ReadPublic: TPMS_RESPONSE_HANDLES_READ_PUBLIC,
    TPM_CC.RSA_Encrypt: TPMS_RESPONSE_HANDLES_RSA_ENCRYPT,
    TPM_CC.StartAuthSession: TPMS_RESPONSE_HANDLES_START_AUTH_SESSION,
    TPM_CC.VerifySignature: TPMS_RESPONSE_HANDLES_VERIFY_SIGNATURE,
    TPM_CC.ECC_Parameters: TPMS_RESPONSE_HANDLES_ECC_PARAMETERS,
    TPM_CC.FirmwareRead: TPMS_RESPONSE_PARAMS_FIRMWARE_READ,
    TPM_CC.GetCapability: TPMS_RESPONSE_HANDLES_GET_CAPABILITY,
    TPM_CC.GetRandom: TPMS_RESPONSE_HANDLES_GET_RANDOM,
    TPM_CC.GetTestResult: TPMS_RESPONSE_HANDLES_GET_TEST_RESULT,
    TPM_CC.Hash: TPMS_RESPONSE_HANDLES_HASH,
    TPM_CC.PCR_Read: TPMS_RESPONSE_HANDLES_PCR_READ,
    TPM_CC.PolicyPCR: TPMS_RESPONSE_HANDLES_POLICY_PCR,
    TPM_CC.PolicyRestart: TPMS_RESPONSE_HANDLES_POLICY_RESTART,
    TPM_CC.ReadClock: TPMS_RESPONSE_HANDLES_READ_CLOCK,
    TPM_CC.PCR_Extend: TPMS_RESPONSE_HANDLES_PCR_EXTEND,
    TPM_CC.PCR_SetAuthValue: TPMS_RESPONSE_HANDLES_PCR_SET_AUTH_VALUE,
    TPM_CC.NV_Certify: TPMS_RESPONSE_HANDLES_NV_CERTIFY,
    TPM_CC.EventSequenceComplete: TPMS_RESPONSE_HANDLES_EVENT_SEQUENCE_COMPLETE,
    TPM_CC.HashSequenceStart: TPMS_RESPONSE_HANDLES_HASH_SEQUENCE_START,
    TPM_CC.PolicyPhysicalPresence: TPMS_RESPONSE_HANDLES_POLICY_PHYSICAL_PRESENCE,
    TPM_CC.PolicyDuplicationSelect: TPMS_RESPONSE_HANDLES_POLICY_DUPLICATION_SELECT,
    TPM_CC.PolicyGetDigest: TPMS_RESPONSE_HANDLES_POLICY_GET_DIGEST,
    TPM_CC.TestParms: TPMS_RESPONSE_HANDLES_TEST_PARMS,
    TPM_CC.Commit: TPMS_RESPONSE_HANDLES_COMMIT,
    TPM_CC.PolicyPassword: TPMS_RESPONSE_HANDLES_POLICY_PASSWORD,
    TPM_CC.ZGen_2Phase: TPMS_RESPONSE_HANDLES_Z_GEN_2_PHASE,
    TPM_CC.EC_Ephemeral: TPMS_RESPONSE_HANDLES_EC_EPHEMERAL,
    TPM_CC.PolicyNvWritten: TPMS_RESPONSE_HANDLES_POLICY_NV_WRITTEN,
    TPM_CC.PolicyTemplate: TPMS_RESPONSE_HANDLES_POLICY_TEMPLATE,
    TPM_CC.CreateLoaded: TPMS_RESPONSE_HANDLES_CREATE_LOADED,
    TPM_CC.PolicyAuthorizeNV: TPMS_RESPONSE_HANDLES_POLICY_AUTHORIZE_NV,
    TPM_CC.EncryptDecrypt2: TPMS_RESPONSE_HANDLES_ENCRYPT_DECRYPT2,
    TPM_CC.AC_GetCapability: TPMS_RESPONSE_HANDLES_AC_GET_CAPABILITY,
    TPM_CC.AC_Send: TPMS_RESPONSE_HANDLES_AC_SEND,
    TPM_CC.Policy_AC_SendSelect: TPMS_RESPONSE_HANDLES_POLICY_AC_SEND_SELECT,
    TPM_CC.CertifyX509: TPMS_RESPONSE_HANDLES_CERTIFY_X509,
    TPM_CC.ACT_SetTimeout: TPMS_RESPONSE_HANDLES_ACT_SET_TIMEOUT,
}
